PUT/api/v1/schedule/{scheduleId}

Update Schedule

Update the existing Schedule

This PUT /schedule/{scheduleId} method is useful when users need to make changes or updates to an existing Schedule.

By providing a Schedule ID in the request, you can edit the results to meet your requirements.

Mandatory Fields - "scheduleId"

PUT/api/v1/schedule/{scheduleId}

Parameter Details

NameInTypeRequiredDescription
scheduleIdpathstring(string)Requirednone
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestRequest data failed validation(s)None
401UnauthorizedAuthentication Failed!None
404Not FoundNot found.None
429Too Many RequestsToo Many Requests.None
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X PUT https://api.flightrates.example.com/api/v1/schedule/{scheduleId} \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: API_KEY'

Body parameter

{
  "scheduleName": "Flightschedule name",
  "_timezone": "64ae7e58d06e77f95bff059c",
  "_shop": "66fbd773cfa2fa105752dc26",
  "dayOfMonth": "*",
  "month": "*",
  "dayOfWeek": "*",
  "hour": "*",
  "minute": "0",
  "isActiveStatus": true,
  "startDate": "2019-08-24",
  "endDate": "2019-08-24"
}

Example responses

200 Response
{
  "error": false,
  "schedule": {
    "_id": "6a0becec9650dadda773d068",
    "scheduleName": "Flightschedule name",
    "_shop": "6a0bea8e9650dadda773d04b",
    "_timezone": "64ae7e58d06e77f95bff059c",
    "timezoneName": "Africa/Porto-Novo",
    "minute": "0",
    "hour": "*",
    "dayOfMonth": "*",
    "month": "*",
    "dayOfWeek": "*",
    "isActiveStatus": true,
    "startDate": "2026-05-19",
    "endDate": "2026-05-19",
    "_user": "6a0aaf8da93611b858a5abf8",
    "userName": "testinbound",
    "vertical": "flightrates",
    "isCustomerCreated": true,
    "crontabExpression": "0 * * * *",
    "nextRunAt": "2026-05-19T06:00:00.000Z",
    "lastRunAt": null,
    "createdAt": "2026-05-19T04:54:04.903Z",
    "updatedAt": "2026-05-19T05:01:58.276Z",
    "crontabHuman": "Every hour, every day",
    "id": "6a0becec9650dadda773d068"
  }
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.